Skip to navigation

Get serial numbers for an order

There are three ways to look up serial numbers. Supply only one:

  • PkgId: a package ID, made of your client code, the Rush Order order number, and the inpart, such as ABC1234A.
  • orderNumber: the order number Rush Order assigned to your order.
  • altOrderNumber: the alternate order number you supplied when creating the order.

An inpart is a shipment in Rush Order’s system, designated by a single letter from A to Z. Inparts are generated only once items have been processed.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

RushOrderMomCodestringRequired
All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.

Query parameters

PkgIdstringOptional

Package ID: your client code, the Rush Order order number, and the inpart. For example, ABC1234A is inpart A of order 1234 for client ABC.

orderNumberstringOptional
Rush Order specific order number
altOrderNumberstringOptional
Alternate order number, usually the source order number

Response

OK
SerialNumberslist of objectsOptional
SuccessbooleanOptional
ErrorstringOptional
MessagestringOptionalRead-only

Errors

404
Not Found Error